From d13ef264171b031a6e424d8ae67b86ac9f33dbbf Mon Sep 17 00:00:00 2001
From: Jiri Kubias <jiri.kubias@gmail.com>
Date: Thu, 14 Jan 2010 16:27:22 +0100
Subject: [PATCH] eb_ebb - updated makefile to compile only when board lpceurobot is selected

---
 app/arm/eb_ebb/Makefile.omk |   21 ++++++++++++++-------
 1 files changed, 14 insertions(+), 7 deletions(-)

diff --git a/app/arm/eb_ebb/Makefile.omk b/app/arm/eb_ebb/Makefile.omk
index ff1717b..8a8aa09 100644
--- a/app/arm/eb_ebb/Makefile.omk
+++ b/app/arm/eb_ebb/Makefile.omk
@@ -1,15 +1,22 @@
 # -*- makefile -*-
 
-bin_PROGRAMS = eb_ebb
+MY_BOARD = lpceurobot
+ifeq ($(BOARD), $(MY_BOARD)) 
 
-eb_ebb_SOURCES = main.c 
-eb_ebb_LIBS = can ebb
+	bin_PROGRAMS = eb_ebb
 
+	eb_ebb_SOURCES = main.c 
+	eb_ebb_LIBS = can ebb
 
-lib_LIBRARIES = ebb
-ebb_SOURCES = powswitch.c uart.c servo.c engine.c adc.c adc_filtr.c
 
-include_HEADERS = engine.h powswitch.h servo.h uart.h adc.h adc_filtr.h
+	lib_LIBRARIES = ebb
+	ebb_SOURCES = powswitch.c uart.c servo.c engine.c adc.c adc_filtr.c
 
-link_VARIANTS = flash
+	include_HEADERS = engine.h powswitch.h servo.h uart.h adc.h adc_filtr.h
 
+	link_VARIANTS = flash
+
+else
+    $(warning Not my board - $(MY_BOARD). Not going to compile!)
+
+endif
\ No newline at end of file
-- 
1.6.4.4

